On Thu, Oct 13, 2011 at 2:10 PM, Jeremy Goecks <jeremy.goe...@emory.edu> wrote:
>
> Shaun,
>
> <version_command> is what you want:
>
>    <version_command>tophat --version</version_command>
>
> A couple things to note:
>        *tool path isn't needed if the tool is in your galaxy user's path;
>        *your tool must have a --version command line option; if not, you'll 
> have to modify the command.
>
> This functionality should be working as of latest Galaxy dist.
>
> If you're still having trouble, it would be useful to try running a tool with
> a known, functioning version command (e.g. Tophat, Bowtie, Cufflinks/
> compare/diff) and seeing if it produces the version as output.
>
> Let us know if you're still having problems.
>
> Thanks,
> J.

Hi all,

I ran into a problem with this just now and filed an issue on it,
the <version_command> tag does not support an interpreter,
https://bitbucket.org/galaxy/galaxy-central/issue/688/

Peter

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

  http://lists.bx.psu.edu/

Reply via email to